import request from '@/utils/request'

// 公司主页
export function getCompanyInfo() {
  return request({
    url: '/tcompany/getCompanyInfo',
    method: 'get'
  })
}
// 获取企业统计信息
export function getCompanyTotalInfo() {
  return request({
    url: '/comPost/com/total',
    method: 'get',
  })
}
// 获取字典数据 data字典类型
export function getDicData(data) {
  return request({
    url: '/dict/data/type/'+data,
    method: 'get',
  })
}

// 企业编辑
export function editCompany(data) {
  return request({
    url: '/tcompany',
    method: 'put',
    data: data
  })
}

// 企业注册
export function register(data) {
  return request({
    url: '/tcompany/register',
    method: 'post',
    data: data
  })
}

// 企业登录
export function login(data) {
  return request({
    url: '/companyUser/login',
    method: 'post',
    data: data
  })
}

// 获取短信验证码
export function getSmsCode(data) {
  return request({
    url: '/message/sendSmsCode',
    method: 'post',
    data: data
  })
}

// 登录图形验证码
export function getCaptcha() {
  return request({
    url: '/captcha/generate',
    method: 'get'
  })
}

// 重置密码
export function updatePwd(data) {
  return request({
    url: '/tcompany/updatePwd',
    method: 'put',
    data: data
  })
}

// 企业法人性质数据接口
export function getLegalNature() {
  return request({
    url: '/dict/data/type/company_legal_nature',
    method: 'get'
  })
}

// 企业行业数据接口
export function getTrade() {
  return request({
    url: '/dict/data/type/company_trade',
    method: 'get'
  })
}

// 企业规模数据接口
export function getScope() {
  return request({
    url: '/dict/data/type/company_scope',
    method: 'get'
  })
}

// 获取职位列表
export function getComPostList(data) {
  return request({
    url: '/comPost/search',
    method: 'post',
    data: data
  })
}

// 添加职位
export function addcomPost(data) {
  return request({
    url: '/comPost/add',
    method: 'post',
    data: data
  })
}

// 修改职位
export function updateComPost(data) {
  return request({
    url: '/comPost/update/' + data.id,
    method: 'post',
    data: data
  })
}

// 删除职位
export function dlComPost(id) {
  return request({
    url: '/comPost/delete/' + id,
    method: 'delete'
  })
}





